# Models

## The errorMessage object

```json
{"openapi":"3.0.0","info":{"title":"Indexing Service","version":"v1"},"components":{"schemas":{"errorMessage":{"title":"error","description":"Schema for API specified errors.","type":"object","properties":{"code":{"description":"Original HTTP error code, should be consistent with the response HTTP code","type":"integer"},"status":{"description":"Classification of the error type","type":"string"},"message":{"description":"Descriptive error message for debugging","type":"string"},"details":{"type":"array","description":"Error details","items":{"type":"string"}}}}}}}
```

## The IndexPublicConfiguration object

```json
{"openapi":"3.0.0","info":{"title":"Indexing Service","version":"v1"},"components":{"schemas":{"IndexPublicConfiguration":{"title":"IndexPublicConfiguration","type":"object","properties":{"searchKey":{"type":"string","description":"API Key used for search purposes."},"applicationId":{"type":"string","description":"Application id of an indexer provider."},"indexName":{"type":"string","description":"Identifier of an index."},"provider":{"type":"string","description":"Index provider name. Supported providers: `ALGOLIA` (https://www.algolia.com), `BATTERY_INCLUDED` (https://www.batteryincluded.io). Only one provider can be active per tenant at a time.","enum":["ALGOLIA","BATTERY_INCLUDED"]},"active":{"type":"boolean","description":"Indicates if the configuration is active or not."}}}}}}
```

## The IndexConfiguration object

```json
{"openapi":"3.0.0","info":{"title":"Indexing Service","version":"v1"},"components":{"schemas":{"IndexConfiguration":{"title":"IndexConfiguration","allOf":[{"$ref":"#/components/schemas/IndexPublicConfiguration"},{"type":"object","properties":{"writeKey":{"type":"string","description":"API key used for write purposes."},"excludedMixinKeys":{"type":"array","items":{"type":"string"},"description":"Optional list of root product mixin keys to exclude from indexing. When set, the specified mixin keys are omitted from both the non-localized and localized portions of the indexed document. Applies only to the `BATTERY_INCLUDED` provider; ignored for `ALGOLIA`."}},"required":["provider"]}]},"IndexPublicConfiguration":{"title":"IndexPublicConfiguration","type":"object","properties":{"searchKey":{"type":"string","description":"API Key used for search purposes."},"applicationId":{"type":"string","description":"Application id of an indexer provider."},"indexName":{"type":"string","description":"Identifier of an index."},"provider":{"type":"string","description":"Index provider name. Supported providers: `ALGOLIA` (https://www.algolia.com), `BATTERY_INCLUDED` (https://www.batteryincluded.io). Only one provider can be active per tenant at a time.","enum":["ALGOLIA","BATTERY_INCLUDED"]},"active":{"type":"boolean","description":"Indicates if the configuration is active or not."}}}}}}
```

## The IndexCreationResponse object

```json
{"openapi":"3.0.0","info":{"title":"Indexing Service","version":"v1"},"components":{"schemas":{"IndexCreationResponse":{"title":"IndexCreationResponse","type":"object","properties":{"id":{"type":"string","description":"Identifier of a newly created configuration."}}}}}}
```

## The Reindex object

```json
{"openapi":"3.0.0","info":{"title":"Indexing Service","version":"v1"},"components":{"schemas":{"Reindex":{"title":"Reindex","type":"object","properties":{"mode":{"type":"string","enum":["FULL"],"description":"Indicates reindex mode. Supported modes: `FULL`."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/api-references-1/readme/api-reference-18/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
